Skip to main content
GET
/
services
/
core
/
open_api
/
v1
/
staff_tasks
cURL
curl --request GET \
  --url https://partner-api.getoliver.com/services/core/open_api/v1/staff_tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Client-Id: <x-client-id>'
{
  "success": true,
  "data": {
    "page": 123,
    "per_page": 123,
    "total_pages": 123,
    "total_count": 123,
    "content": [
      {
        "id": "<string>",
        "task_type": "task",
        "status": "pending",
        "title": "<string>",
        "description": "<string>",
        "client_id": "<string>",
        "patient_id": "<string>",
        "cancellation_allowed": true,
        "override_completion_action_text": "<string>",
        "reference_time_at": "2023-11-07T05:31:56Z",
        "finalized_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Client-Id
string
required

The location id of the practice

Query Parameters

status
enum<string>

Filter tasks by status. Available values: pending, completed, canceled

Available options:
pending,
completed,
canceled
page
integer
default:0

Page number

per_page
integer
default:50

Number of results per page. Max is 100.

Response

Staff tasks response

success
boolean
required
data
object
required
message
string